commit:     f48f4b2dc88702d6749ab4a20e1617122ea2458e
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 13 15:25:43 2017 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Aug 13 17:02:50 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f48f4b2d

net-misc/rygel: version bump 0.32.1 → 0.34.0

Package-Manager: Portage-2.3.7, Repoman-2.3.3

 net-misc/rygel/Manifest            |  1 +
 net-misc/rygel/rygel-0.34.0.ebuild | 97 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/net-misc/rygel/Manifest b/net-misc/rygel/Manifest
index ba84c14e538..dd609c0a513 100644
--- a/net-misc/rygel/Manifest
+++ b/net-misc/rygel/Manifest
@@ -1 +1,2 @@
 DIST rygel-0.32.1.tar.xz 3977648 SHA256 
94300e7349e7d161fc8b2d42cd4d5ac4d161362b81f58f126abd98d000f9d2c8 SHA512 
55aaed85a44496792bf9bc34d150f1f9d79b7c440da4351c730580200cc7e3a19f378dd93fdf2ab5b4c19cd793a25481c2bf15f3e7043595e6971eca983f0767
 WHIRLPOOL 
c1947bcd4b29a29a8405a83ffd43393060825069cab0230a1819e8e4f11601e672e9ef26e88986ad39386f6fb0080e952e52810f90d491f77eae3a806bbb2afd
+DIST rygel-0.34.0.tar.xz 3997364 SHA256 
fbb2d46cbe4e750df6610b4c66b2278f06d1f71a257c7903e676ccb394dad418 SHA512 
90e582f42e73376bbe6b06f33d44c6a70969961728dc512523bcc578b5b7c3f826cb425b469ade87d3fdf82117309f8589c30b1cdd8ba74cc14424c7f2efdb21
 WHIRLPOOL 
f9a083f555460c4bedfa2df4943b2886c2aba3cb9f10944685361395484951bf7e5ec14d04c3dbaedc0f6071e05803e62a58667f192b5ff417fcebe5016d2c40

diff --git a/net-misc/rygel/rygel-0.34.0.ebuild 
b/net-misc/rygel/rygel-0.34.0.ebuild
new file mode 100644
index 00000000000..034de1e2366
--- /dev/null
+++ b/net-misc/rygel/rygel-0.34.0.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2 systemd versionator virtualx
+
+DESCRIPTION="Rygel is an open source UPnP/DLNA MediaServer"
+HOMEPAGE="https://wiki.gnome.org/Projects/Rygel";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="X +introspection +sqlite tracker test transcode"
+
+# The deps for tracker? and transcode? are just the earliest available
+# version at the time of writing this ebuild
+RDEPEND="
+       >=dev-libs/glib-2.40.0:2
+       >=dev-libs/libgee-0.8:0.8
+       >=dev-libs/libxml2-2.7:2
+       >=media-libs/gupnp-dlna-0.9.4:2.0
+       media-libs/gstreamer:1.0
+       media-libs/gst-plugins-base:1.0
+       >=media-libs/libmediaart-0.7:2.0
+       media-plugins/gst-plugins-soup:1.0
+       >=net-libs/gssdp-0.13
+       >=net-libs/gupnp-0.20.14
+       >=net-libs/gupnp-av-0.12.8
+       >=net-libs/libsoup-2.44:2.4
+       >=sys-apps/util-linux-2.20
+       x11-misc/shared-mime-info
+       introspection? ( >=dev-libs/gobject-introspection-1.33.4:= )
+       sqlite? (
+               >=dev-db/sqlite-3.5:3
+               dev-libs/libunistring:=
+               x11-libs/gdk-pixbuf:2
+       )
+       tracker? ( >=app-misc/tracker-0.16:= )
+       transcode? (
+               media-libs/gst-plugins-bad:1.0
+               media-plugins/gst-plugins-twolame:1.0
+               media-plugins/gst-plugins-libav:1.0
+       )
+       X? ( >=x11-libs/gtk+-3:3 )
+"
+DEPEND="${RDEPEND}
+       dev-util/gtk-doc-am
+       >=sys-devel/gettext-0.19.7
+       virtual/pkgconfig
+"
+# Maintainer only
+#   app-text/docbook-xsl-stylesheets
+#      >=dev-lang/vala-0.22
+#   dev-libs/libxslt
+
+src_prepare() {
+       # Disable test triggering call to gst-plugins-scanner which causes
+       # sandbox issues when plugins such as clutter are installed
+       sed -e 's/return rygel_playbin_renderer_test_main (argv, argc);/return 
0;/' \
+               -i tests/rygel-playbin-renderer-test.c || die
+
+       gnome2_src_prepare
+}
+
+src_configure() {
+       # We set xsltproc because man pages are provided by upstream
+       # and we do not want to regenerate them automagically.
+       gnome2_src_configure \
+               XSLTPROC=$(type -P false) \
+               --enable-gst-launch-plugin \
+               --with-media-engine=gstreamer \
+               --enable-nls \
+               --with-systemduserunitdir=$(systemd_get_userunitdir) \
+               $(use_enable introspection) \
+               $(use_enable sqlite media-export-plugin) \
+               $(use_enable sqlite lms-plugin) \
+               $(use_enable test tests) \
+               $(use_enable tracker tracker-plugin) \
+               $(use_with X ui)
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+       local v
+       for v in ${REPLACING_VERSIONS}; do
+               if ! version_is_at_least 0.28.2-r1 ${v}; then
+                       elog "This version stops forcing the automatical 
starting of"
+                       elog "rygel as upstream pretends. This way, it will 
honor the"
+                       elog "user settings at Sharing section in 
gnome-control-center."
+                       elog "If you desire to keep getting rygel autostarting 
always"
+                       elog "you will need to configure your desktop to do it."
+                       break
+               fi
+       done
+}

Reply via email to